PUT
/scim/v2/Groups/{groupId}

Authorization

Descope Project ID:Access Key
AuthorizationBearer <token>

Project ID:Access Key as bearer token.

In: header

Path Parameters

groupId*string

Request Body

application/json

groupId?string
displayName?string
members?array<SCIMGroupMember>
externalId?string
excludedAttributes?string

Update an existing SCIM group, using a valid access key.

This endpoint allows administrators to update an existing SCIM group using the SCIM group ID, which is a required field. You can update the display name and members through this API endpoint.

The response includes the group's object which includes details about the groups including the members.

It is important to note the bearer token for SCIM API endpoints. The format is ProjectId:AccessKey the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action.

See also

curl -X PUT "https://api.descope.com/scim/v2/Groups/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "displayName": "string",  "schemas": [    "string"  ],  "id": "string",  "members": [    {      "value": "string",      "display": "string"    }  ],  "meta": {    "created": {},    "location": "string",    "lastModified": {},    "resourceType": "string"  },  "externalId": "string",  "detail": "string",  "status": 0}
export interface Response {displayName?: stringschemas?: string[]id?: stringmembers?: {value?: stringdisplay?: string}[]meta?: SCIMGroupResourceMetaexternalId?: stringdetail?: stringstatus?: number}export interface SCIMGroupResourceMeta {created?: {}location?: stringlastModified?: {}resourceType?: string}
Was this helpful?